
export default class ProjectNameCollection {

    /**
     * Create a new ProjectNameCollection instance.
     */
    constructor(names = []) {
        this.names = names
    }

    /**
     * Fetch the underlying array of names.
     */
    all() {
        return this.names
    }

    /**
     * Add a new name to the collection.
     * 
     * @param {Name} name 
     * @return {void}
     */
    push(name) {
        this.names.push(name)
    }

    /**
     * Empty out all tasks.
     */
    empty() {
        this.tasks = []
    }
}