"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var ProjectNameCollection = function () {

    /**
     * Create a new ProjectNameCollection instance.
     */
    function ProjectNameCollection() {
        var names = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

        _classCallCheck(this, ProjectNameCollection);

        this.names = names;
    }

    /**
     * Fetch the underlying array of names.
     */


    _createClass(ProjectNameCollection, [{
        key: "all",
        value: function all() {
            return this.names;
        }

        /**
         * Add a new name to the collection.
         * 
         * @param {Name} name 
         * @return {void}
         */

    }, {
        key: "push",
        value: function push(name) {
            this.names.push(name);
        }

        /**
         * Empty out all tasks.
         */

    }, {
        key: "empty",
        value: function empty() {
            this.tasks = [];
        }
    }]);

    return ProjectNameCollection;
}();

exports.default = ProjectNameCollection;